> ## Documentation Index
> Fetch the complete documentation index at: https://conductorone-docs-ad-account-provisioning-setup.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Secret

> Invokes the c1.api.stepup.v1.StepUpProviderService.UpdateSecret method.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples post /api/v1/step-up/providers/{id}/secret
openapi: 3.1.0
info:
  description: The ConductorOne API is a HTTP API for managing ConductorOne resources.
  title: ConductorOne API
  version: 0.1.0-alpha
servers:
  - description: The ConductorOne API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/step-up/providers/{id}/secret:
    post:
      tags:
        - Step Up Authentication Providers
      summary: Update Secret
      description: Invokes the c1.api.stepup.v1.StepUpProviderService.UpdateSecret method.
      operationId: c1.api.stepup.v1.StepUpProviderService.UpdateSecret
      parameters:
        - in: path
          name: id
          required: true
          schema:
            description: The id field.
            readOnly: false
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/c1.api.stepup.v1.UpdateStepUpProviderSecretRequestInput
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.stepup.v1.UpdateStepUpProviderSecretResponse
          description: Successful response
      x-codeSamples:
        - lang: go
          label: UpdateSecret
          source: "package main\n\nimport(\n\t\"context\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/shared\"\n\tconductoronesdkgo \"github.com/conductorone/conductorone-sdk-go\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/operations\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := conductoronesdkgo.New(\n        conductoronesdkgo.WithSecurity(shared.Security{\n            BearerAuth: \"<YOUR_BEARER_TOKEN_HERE>\",\n            Oauth: \"<YOUR_OAUTH_HERE>\",\n        }),\n    )\n\n    res, err := s.StepUpProvider.UpdateSecret(ctx, operations.C1APIStepupV1StepUpProviderServiceUpdateSecretRequest{\n        ID: \"<id>\",\n    })\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.UpdateStepUpProviderSecretResponse != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: >-
            import { ConductoroneSDKTypescript } from
            "conductorone-sdk-typescript";


            const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
              security: {
                bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
                oauth: "<YOUR_OAUTH_HERE>",
              },
            });


            async function run() {
              const result = await conductoroneSDKTypescript.stepUpProvider.updateSecret({
                id: "<id>",
              });

              console.log(result);
            }


            run();
components:
  schemas:
    c1.api.stepup.v1.UpdateStepUpProviderSecretRequestInput:
      description: The UpdateStepUpProviderSecretRequest message.
      properties:
        clientSecret:
          description: The clientSecret field.
          readOnly: false
          type: string
      title: Update Step Up Provider Secret Request
      type: object
      x-speakeasy-name-override: UpdateStepUpProviderSecretRequest
    c1.api.stepup.v1.UpdateStepUpProviderSecretResponse:
      description: The UpdateStepUpProviderSecretResponse message.
      properties:
        stepUpProvider:
          $ref: '#/components/schemas/c1.api.stepup.v1.StepUpProvider'
      title: Update Step Up Provider Secret Response
      type: object
      x-speakeasy-name-override: UpdateStepUpProviderSecretResponse
    c1.api.stepup.v1.StepUpProvider:
      description: >
        The StepUpProvider message.


        This message contains a oneof named settings. Only a single field of the
        following list may be set at a time:
          - oauth2
          - microsoft
      properties:
        clientId:
          description: The clientId field.
          readOnly: false
          type: string
        createdAt:
          format: date-time
          readOnly: true
          type: string
        displayName:
          description: The displayName field.
          readOnly: false
          type: string
        enabled:
          description: The enabled field.
          readOnly: false
          type: boolean
        id:
          description: The id field.
          readOnly: true
          type: string
        issuerUrl:
          description: The issuerUrl field.
          readOnly: false
          type: string
        lastTestedAt:
          format: date-time
          readOnly: true
          type: string
        microsoft:
          $ref: '#/components/schemas/c1.api.stepup.v1.StepUpMicrosoftSettings'
        oauth2:
          $ref: '#/components/schemas/c1.api.stepup.v1.StepUpOAuth2Settings'
        updatedAt:
          format: date-time
          readOnly: true
          type: string
      title: Step Up Provider
      type: object
      x-speakeasy-name-override: StepUpProvider
    c1.api.stepup.v1.StepUpMicrosoftSettings:
      description: >-
        StepUpMicrosoftSettings represents a Microsoft Entra Provider using
        Conditional Access Policies to enforce step-up authentication.
      nullable: true
      properties:
        conditionalAccessIds:
          description: The conditionalAccessIds field.
          items:
            type: string
          nullable: true
          readOnly: false
          type: array
        tenant:
          description: The tenant field.
          readOnly: false
          type: string
      title: Step Up Microsoft Settings
      type: object
      x-speakeasy-name-override: StepUpMicrosoftSettings
    c1.api.stepup.v1.StepUpOAuth2Settings:
      description: >-
        StepUpOAuth2Settings repersents an OAuth2 provider that supports RFC
        9470 <https://www.rfc-editor.org/rfc/rfc9470>

         Common ACR values for OAuth2 providers include:
           - "urn:okta:loa:1fa:any" (okta)
           - "urn:okta:loa:1fa:pwd" (okta)
           - "urn:okta:loa:2fa:any" (okta)
           - "urn:okta:loa:2fa:any:ifpossible" (okta)
           - "phr" (okta)
           - "phrh" (okta)
      nullable: true
      properties:
        acrValues:
          description: The acrValues field.
          items:
            type: string
          nullable: true
          readOnly: false
          type: array
      title: Step Up O Auth 2 Settings
      type: object
      x-speakeasy-name-override: StepUpOAuth2Settings
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````